using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using System.Threading.Tasks;

namespace Entidades
{
    public class Remito
    {
        public int Id { get; set; }
        private List<Lote> lotesDeProductosEntregados = new List<Lote>();
        public Proveedor Proveedor { get; set; }

        public ReadOnlyCollection<Lote> MostrarLotes()
        {
            return lotesDeProductosEntregados.AsReadOnly();
        }
        public void AñadirLote(Lote lote)
        {
            try
            {
                lotesDeProductosEntregados.Add(lote);
            }
            catch (Exception)
            {
                throw;
            }
        }
    }
}
